/*
 *  Copyright 2009 Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.io;

import de.timefinder.data.DataPool;
import de.timefinder.data.set.SetFactory;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.Properties;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Imports tab or comma separated text files.
 * 
 * @author Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net
 */
public class ImportText {

    private DataPool dataPool;
    private SetFactory factory;
    private File folder;
    private Log logger = LogFactory.getLog(getClass());

    public ImportText(DataPool dataPool, SetFactory factory, File folder) {
        this.dataPool = dataPool;
        this.factory = factory;
        this.folder = folder;
    }

    public void doWork() {
        String propFile = "timefinder.properties";
        String eFile = "events.txt";
        String fFile = "features.txt";
        String lFile = "locations.txt";
        String pFile = "persons.txt";

        Properties prop = new Properties();

        try {
            FileReader propReader = new FileReader(new File(folder, propFile));
            prop.load(propReader);
        } catch (FileNotFoundException ex) {
            logger.fatal("Couldn't find " + propFile);
        } catch (IOException ex) {
            logger.fatal("Couldn't load properties from " + propFile);
        }

        try {
            FileReader fReader = new FileReader(new File(folder, fFile));
        } catch (FileNotFoundException ex) {
            logger.fatal("Couldn't find " + fFile);
        }

        try {
            FileReader eReader = new FileReader(new File(folder, lFile));
        } catch (FileNotFoundException ex) {
            logger.fatal("Couldn't find " + eFile);
        }

        try {
            FileReader pReader = new FileReader(new File(folder, pFile));
        } catch (FileNotFoundException ex) {
            logger.fatal("Couldn't find " + pFile);
        }
        try {
            FileReader lReader = new FileReader(new File(folder, lFile));
        } catch (FileNotFoundException ex) {
            logger.fatal("Couldn't find " + lFile);
        }

    }
}
