/*
 *  Copyright 2009 Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.ui;

import de.timefinder.algo.MyProgressMonitor;
import de.timefinder.algo.MyStatusBar;
import org.springframework.richclient.application.statusbar.StatusBar;

/**
 * @author Peter Karich, peat_hal 'at' users 'dot' sourceforge 'dot' net
 */
public class StatusBarBridge implements MyStatusBar {

    private StatusBar bar;

    public StatusBarBridge(StatusBar bar) {
        this.bar = bar;
    }

    @Override
    public MyProgressMonitor getMyProgressMonitor() {
        return new ProgressMonitorBridge(bar.getProgressMonitor());
    }

    @Override
    public void setMessage(String message) {
        bar.setMessage(message);
    }

    @Override
    public void setErrorMessage(String message) {
        bar.setErrorMessage(message);
    }

    @Override
    public void setVisible(boolean visible) {
        bar.setVisible(visible);
    }

    @Override
    public void setCancelEnabled(boolean enabled) {
        bar.setCancelEnabled(enabled);
    }

    @Override
    public void clear() {
        bar.clear();
    }
}
