/*
 *  Copyright 2009 Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.ui.command;

import de.timefinder.data.DataPool;
import de.timefinder.data.access.Dao;
import javax.swing.JOptionPane;

/**
 * @author Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net
 */
public abstract class AbstractImportCommand extends ClearDataPoolCommand {

    public AbstractImportCommand(String id) {
        super(id);
    }

    public void checkIfDataIsAlreadyAvailable() {
        int counter = 0;
        for (Dao dao : dataPool.getDaos()) {
            counter += dao.getAll().size();
        }

        if (counter > 0 && JOptionPane.YES_OPTION ==
                JOptionPane.showConfirmDialog(null, tr.get("import.clear.question"),
                tr.get("import.clear.title"), JOptionPane.YES_NO_OPTION)) {
            clear();
        }
    }
}
