/*
 *  Copyright 2009 Peter Karich.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.timefinder.core.ui.form;

import javax.swing.JComponent;
import org.springframework.binding.form.HierarchicalFormModel;
import org.springframework.binding.value.ValueModel;
import org.springframework.binding.value.support.ObservableList;
import org.springframework.richclient.form.builder.TableFormBuilder;

/**
 * @author Peter Karich
 */
public class PersonForm extends AbstractDaoForm {

    private JComponent nameEditor;

    public PersonForm(HierarchicalFormModel parentFormModel, String formId,
            ValueModel valueHolder, ObservableList masterList) {
        super(parentFormModel, formId, valueHolder, masterList);
    }

    @Override
    protected JComponent createFormControl() {
        TableFormBuilder formBuilder = getFormBuilder();

        formBuilder.add("firstName");
        nameEditor = formBuilder.add("name")[1];
        formBuilder.row();

        formBuilder.add("birthDay", "colSpan=1 align=left");
        formBuilder.row();

        formBuilder.add("street");
        formBuilder.add("streetNumber");
        formBuilder.row();

        formBuilder.add("zip");
        formBuilder.add("city");
        formBuilder.row();

        formBuilder.add("telephon", "colSpan=1 align=left");

        return super.createFormControl();
    }
    
    /**
     * Try to place the focus in the firstNameField whenever the initial focus is being set.
     * @return
     */
    public boolean requestFocusInWindow() {
        return nameEditor.requestFocusInWindow();
    }
}
