/*
 * This file is part of the TimeFinder project.
 * Visit http://www.timefinder.de for more information.
 * Copyright 2008 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.timefinder.core.util;

import java.util.Locale;
import org.springframework.stereotype.Service;

/**
 * @author Peter Karich, peat_hal ‘at’ users ‘dot’ sourceforge ‘dot’ net
 */
@Service
public class TranslatorImpl implements Translator {

    public TranslatorImpl() {
    }

    @Override
    public String get(String key) {
        return ApplicationSettings.getApplicationContext().getMessage(key, null, null);
    }

    @Override
    public String get(String key, Object... parameter) {
        return ApplicationSettings.getApplicationContext().getMessage(key, parameter, null);
    }

    @Override
    public String get(Locale locale, String key, Object... parameter) {
        return ApplicationSettings.getApplicationContext().getMessage(key, parameter, locale);
    }
}
